Bug 265577 - Crash when clicking on artist [@ TagLib::ByteVector::ByteVector(TagLib::ByteVector const&)]
Summary: Crash when clicking on artist [@ TagLib::ByteVector::ByteVector(TagLib::ByteV...
Status: RESOLVED WORKSFORME
Alias: None
Product: taglib
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Scott Wheeler
URL:
Keywords:
: 265590 265591 284766 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-06 08:19 UTC by Walter P. Little
Modified: 2021-01-02 04:34 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (20.17 KB, text/plain)
2011-11-18 10:36 UTC, Joona Lehtomäki
Details
New crash information added by DrKonqi (19.46 KB, text/plain)
2011-11-29 19:09 UTC, Alex Richardson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walter P. Little 2011-02-06 08:19:14 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.1
Operating System: Linux 2.6.34.7-0.7-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Clicked on the "arrow" to expand an artist. The "artist" pointed to mp4 video files purchased from iTunes with DRM. I did not expect Amarok to play these, in fact I'm wondering why they show up in the artist list at all. But whatever the case, a segfault crash doesn't seem like the right behavior :-)
I pull a new version of Amarok built from GIT from the openSUSE repositories almost every day, so if there's anything you want me to test out, please don't hesitate to ask.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f341b959760 (LWP 1565))]

Thread 9 (Thread 0x7f33c59cf710 (LWP 1570)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3401fc2dc2 in Thread () from /usr/lib64/libvlccore.so.4
#2  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f341806382d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f33c3c9d710 (LWP 1576)):
#0  0x00007f341805a6b3 in poll () from /lib64/libc.so.6
#1  0x00007f34119ddfd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f34119de510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f3419649ae6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00007f341961e262 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00007f341961e475 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f34195311a4 in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f34195ff918 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f3419533a1e in ?? () from /usr/lib64/libQtCore.so.4
#9  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f341806382d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f33bd05d710 (LWP 1597)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f3413f4c634 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007f3413f4c669 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f341806382d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f33b8f3f710 (LWP 1598)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f341953410b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3415620254 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f34156232a5 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f341562064f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f34156206d8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f3419533a1e in ?? () from /usr/lib64/libQtCore.so.4
#7  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#8  0x00007f341806382d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f33b873e710 (LWP 1600)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f341953410b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3415620254 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f34156232a5 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f34156232be in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f341562064f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f34156206d8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f3419533a1e in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f341806382d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f33b7f3d710 (LWP 1601)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f341953410b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3415620254 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f34156232a5 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f34156232be in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f341562064f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f34156206d8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f3419533a1e in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f341806382d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f33b72b0710 (LWP 1603)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f341953410b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f3415620254 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f34156232a5 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f34156232be in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f341562064f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f34156206d8 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f3419533a1e in ?? () from /usr/lib64/libQtCore.so.4
#8  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f341806382d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f33b6686710 (LWP 1604)):
#0  0x00007f341620339c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f340e753a94 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f34161fea4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f341806382d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f341b959760 (LWP 1565)):
[KCrash Handler]
#6  0x00007f34144e809e in TagLib::ByteVector::ByteVector(TagLib::ByteVector const&) () from /usr/lib64/libtag.so.1
#7  0x00007f34144f9980 in TagLib::MP4::CoverArt::data() const () from /usr/lib64/libtag.so.1
#8  0x00007f341a6438ca in Meta::Tag::MP4TagHelper::embeddedCover (this=<value optimized out>) at /usr/src/debug/amarok-2.4.0.60git.1296038139/shared/tag_helpers/MP4TagHelper.cpp:170
#9  0x00007f341a635ceb in Meta::Tag::embeddedCover (path=<value optimized out>) at /usr/src/debug/amarok-2.4.0.60git.1296038139/shared/MetaTagLib.cpp:256
#10 0x00007f33c3f50a8f in Meta::SqlAlbum::image (this=0x1b47c80, size=28) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/core-impl/collections/db/sql/SqlMeta.cpp:1562
#11 0x00007f33c3f507b3 in Meta::SqlAlbum::imageLocation (this=0x1b47c80, size=28) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/core-impl/collections/db/sql/SqlMeta.cpp:1601
#12 0x00007f341a92ab64 in SvgHandler::imageWithBorder (this=0xe4c2c0, album=<value optimized out>, size=<value optimized out>, borderWidth=2)
    at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/SvgHandler.cpp:250
#13 0x00007f341a2eb206 in CollectionTreeItemModelBase::dataForItem (this=0x1330970, item=<value optimized out>, role=<value optimized out>, level=1)
    at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/browsers/CollectionTreeItemModelBase.cpp:272
#14 0x00007f341a2e445c in CollectionTreeItemModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>)
    at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/browsers/CollectionTreeItemModel.cpp:97
#15 0x00007f3418f71a51 in QSortFilterProxyModel::data(QModelIndex const&, int) const () from /usr/lib64/libQtGui.so.4
#16 0x00007f3418f934dc in QStyledItemDelegate::initStyleOption(QStyleOptionViewItem*, QModelIndex const&) const () from /usr/lib64/libQtGui.so.4
#17 0x00007f3418f93f1d in QStyledItemDelegate::paint(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () from /usr/lib64/libQtGui.so.4
#18 0x00007f341a32fb59 in CollectionTreeItemDelegate::paint (this=0x1211720, painter=0x7fffbe03bc40, option=..., index=...)
    at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/browsers/collectionbrowser/CollectionTreeItemDelegate.cpp:68
#19 0x00007f3418f2ceba in QTreeView::drawRow(QPainter*, QStyleOptionViewItem const&, QModelIndex const&) const () from /usr/lib64/libQtGui.so.4
#20 0x00007f341aa5f810 in Amarok::PrettyTreeView::drawRow (this=<value optimized out>, painter=0x7fffbe03bc40, option=..., index=<value optimized out>)
    at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/widgets/PrettyTreeView.cpp:44
#21 0x00007f3418f3119a in QTreeView::drawTree(QPainter*, QRegion const&) const () from /usr/lib64/libQtGui.so.4
#22 0x00007f3418f31bb3 in QTreeView::paintEvent(QPaintEvent*) () from /usr/lib64/libQtGui.so.4
#23 0x00007f3418a2e45a in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#24 0x00007f3418ddb246 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#25 0x00007f3418eed463 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#26 0x00007f341a3311ab in CollectionBrowserTreeView::viewportEvent (this=0x883f20, event=0x7fffbe03c8e0)
    at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/browsers/collectionbrowser/CollectionBrowserTreeView.cpp:112
#27 0x00007f341961efb7 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#28 0x00007f34189dcca1 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#29 0x00007f34189e51ca in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#30 0x00007f341b2c9ec6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#31 0x00007f341961ee2c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#32 0x00007f3418a2b322 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#33 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#34 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#35 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#36 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#37 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#38 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#39 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#40 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#41 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#42 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#43 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#44 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#45 0x00007f3418a2beef in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#46 0x00007f3418a2b08a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib64/libQtGui.so.4
#47 0x00007f3418bf0c71 in ?? () from /usr/lib64/libQtGui.so.4
#48 0x00007f3418a20010 in QWidgetPrivate::syncBackingStore() () from /usr/lib64/libQtGui.so.4
#49 0x00007f3418a2e962 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#50 0x00007f3418df4dcb in QMainWindow::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#51 0x00007f34189dccd4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#52 0x00007f34189e51ca in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#53 0x00007f341b2c9ec6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#54 0x00007f341961ee2c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#55 0x00007f3419622625 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#56 0x00007f34196498f3 in ?? () from /usr/lib64/libQtCore.so.4
#57 0x00007f34119dda93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#58 0x00007f34119de270 in ?? () from /usr/lib64/libglib-2.0.so.0
#59 0x00007f34119de510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#60 0x00007f3419649a8f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#61 0x00007f3418a81eae in ?? () from /usr/lib64/libQtGui.so.4
#62 0x00007f341961e262 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#63 0x00007f341961e475 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#64 0x00007f34196228db in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#65 0x00000000004098ea in main (argc=1, argv=0x7fffbe041be8) at /usr/src/debug/amarok-2.4.0.60git.1296038139/src/main.cpp:282

Reported using DrKonqi
Comment 1 Kevin Funk 2011-02-06 15:07:06 UTC
*** Bug 265590 has been marked as a duplicate of this bug. ***
Comment 2 Kevin Funk 2011-02-06 15:07:18 UTC
*** Bug 265591 has been marked as a duplicate of this bug. ***
Comment 3 Kevin Funk 2011-02-06 15:11:37 UTC
Reassigning to taglib.
Comment 4 Lukáš Lalinský 2011-02-13 09:33:03 UTC
This doesn't look like a TagLib bug to me. Is there still code in Amarok that uses TagLib from multiple threads?
Comment 5 Walter P. Little 2011-02-19 07:29:11 UTC
This *seems* to be fixed. The tracks I was having trouble with now play without crashing. Updated Amarok on 18th Feb 2011.
Comment 6 Myriam Schweingruber 2011-10-24 11:14:50 UTC
*** Bug 284766 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2011-10-26 00:40:14 UTC
*** Bug 284766 has been marked as a duplicate of this bug. ***
Comment 8 Joona Lehtomäki 2011-11-18 10:36:47 UTC
Created attachment 65811 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.2 (4.7.2) "release 5" using Qt 4.7.4

Duplicate of bug 265577, Amarok chrashes when trying to expand MP4-related album info. Additional command line output:

TagLib: MP4: Unexpected atom "name", expecting "data"

-- Backtrace (Reduced):
#6  0x00007f50f3735fee in TagLib::ByteVector::ByteVector (this=0x7fff8034bcd0, v=...) at /usr/src/debug/taglib-1.7/taglib/toolkit/tbytevector.cpp:299
#7  0x00007f50f37496e0 in TagLib::MP4::CoverArt::data (this=<optimized out>) at /usr/src/debug/taglib-1.7/taglib/mp4/mp4coverart.cpp:86
#8  0x00007f50fa7953ab in Meta::Tag::MP4TagHelper::embeddedCover() const () from /usr/lib64/libamaroklib.so.1
#9  0x00007f50fa748b83 in Meta::Tag::embeddedCover(QString const&) () from /usr/lib64/libamaroklib.so.1
#10 0x00007f50d8b45e73 in Meta::SqlAlbum::image (this=0x1d688a0, size=28) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/sql/SqlMeta.cpp:1554
Comment 9 Will Stephenson 2011-11-21 19:19:43 UTC
Downstream bug with taglib 1.7: https://bugzilla.novell.com/show_bug.cgi?id=731395
Comment 10 Alex Richardson 2011-11-29 19:09:42 UTC
Created attachment 66199 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.3 (4.7.3) "release 2" using Qt 4.8.0

- What I was doing when the application crashed:
Scrolling through the list list of albums. When I attached gdb to amarok a few times, I noticed that it happens every time when amarok tries to read the cover data from a .m4a file.

-- Backtrace (Reduced):
#6  0x00007fbbf6572fee in TagLib::ByteVector::ByteVector (this=0x7fff8e0cab60, v=...) at /usr/src/debug/taglib-1.7/taglib/toolkit/tbytevector.cpp:299
#7  0x00007fbbf65866e0 in TagLib::MP4::CoverArt::data (this=<optimized out>) at /usr/src/debug/taglib-1.7/taglib/mp4/mp4coverart.cpp:86
#8  0x00007fbbfd6763ab in Meta::Tag::MP4TagHelper::embeddedCover (this=<optimized out>) at /usr/src/debug/amarok-2.4.3/shared/tag_helpers/MP4TagHelper.cpp:182
#9  0x00007fbbfd629b83 in Meta::Tag::embeddedCover (path=<optimized out>) at /usr/src/debug/amarok-2.4.3/shared/MetaTagLib.cpp:309
#10 0x00007fbbd5d27e73 in Meta::SqlAlbum::image (this=0x168d5d0, size=28) at /usr/src/debug/amarok-2.4.3/src/core-impl/collections/db/sql/SqlMeta.cpp:1554
Comment 11 Justin Zobel 2020-12-03 22:56:01 UTC
Thank you for the report, Walter.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 12 Bug Janitor Service 2020-12-18 04:34:55 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 13 Bug Janitor Service 2021-01-02 04:34:28 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!